GNATdoc.Documentation = {
  "label": "Scribble.Opcodes",
  "summary": [
  ],
  "description": [
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Instruction",
          "line": 13,
          "column": 10,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 13,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "type"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Instruction",
                      "href": "docs/scribble.opcodes.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "is"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 14,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- Operation   Argument Type  Operands Results Semantics"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 15,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- ---------   -------- ----- -------- ------- ---------"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 16,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "NOOP",
                      "href": "docs/scribble.opcodes.html#L16C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 No operation. Does nothing."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 17,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 18,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "PUSHC",
                      "href": "docs/scribble.opcodes.html#L18C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- U        load           1       Pushes a copy of a constant value from program data. The U argument"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 19,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 specifies the address in the program data array."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 20,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 21,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "PUSHI",
                      "href": "docs/scribble.opcodes.html#L21C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- S        load           1       Pushes an integer onto the stack. The S argument specifies the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 22,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 integer directly in the opcode (conserves program data space)."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 23,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 24,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "PUSHN",
                      "href": "docs/scribble.opcodes.html#L24C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          load  2        1       Pushes a reference to a value in a namespace. Two operands are"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 25,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 popped: the namespace (string), and the name to read (string)."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 26,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 The reference into the namespace, or an Error, is pushed as the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 27,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 28,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 29,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "PUSHND",
                      "href": "docs/scribble.opcodes.html#L29C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          load  2        1       Pushes a value retrieved (by copy) from a namespace. Two operands"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 30,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 are popped: the namespace (string), and the name to read (string)."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 31,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 The value read, or an Error, is pushed as the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 32,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 33,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "PUSHNUL",
                      "href": "docs/scribble.opcodes.html#L33C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- U        load           n       Pushes 'n' number of Null values. The U argument contains the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 34,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 number of Nulls to push. This serves as a useful optimization when"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 35,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 a series of Null references are pushed as part of an activation"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 36,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 record."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 37,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 38,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "PUSHS",
                      "href": "docs/scribble.opcodes.html#L38C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- S        load           1       Pushes a reference to a value from the stack. The S argument"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 39,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 indicates the offset of the slot, relative to the frame pointer."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 40,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 If the stack slot contains a reference, it will be pushed onto the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 41,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 top of the stack. Otherwise, a reference to the stack slot itself"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 42,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 will be pushed onto the stack. This is used for assigning to local"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 43,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 variables and parameters, which are stored on the stack as values"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 44,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 and/or references."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 45,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 46,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "PUSHSD",
                      "href": "docs/scribble.opcodes.html#L46C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- S        load           1       Pushes a value from the stack. No copy is made. The S argument"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 47,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 indicates the offset of the slot, relative to the frame ponter. If"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 48,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 the stack slot contains a reference, it will be dereferenced and"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 49,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 its target value will be pushed. Otherwise, the value in the slot"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 50,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 itself will be pushed onto the stack. This is used to read local"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 51,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 variables and parameters, which are stored on the stack as values"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 52,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 and/or references."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 53,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 54,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "PUSHT",
                      "href": "docs/scribble.opcodes.html#L54C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          load  1        2       Pushes the value on top of the stack back onto the stack without"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 55,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 popping it, effectively creating a duplicate. No copy is made."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 56,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 57,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "STORE",
                      "href": "docs/scribble.opcodes.html#L57C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- U        store 2        1       Pops the reference on the top of the stack and replaces its target"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 58,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 value with the new top of the stack, directly underneath it. The U"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 59,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 argument specifies the assignment operation, e.g. direct store, add"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 60,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 and store, multiply and store, etc. The computed value that is"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 61,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 stored into the reference will be left on the stack."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 62,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 63,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "STORENUL",
                      "href": "docs/scribble.opcodes.html#L63C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- S        store                  Stores a Null into a Reference value on the stack. The S argument"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 64,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 stores the stack offset to write into, relative to the frame"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 65,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 pointer. This is used to clear local variable slots for reuse."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 66,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 67,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "DEREF",
                      "href": "docs/scribble.opcodes.html#L67C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          ref   1        1       Pops the reference on the top of the stack and pushes the value"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 68,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 that it references. This is currently unused."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 69,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 70,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "REF",
                      "href": "docs/scribble.opcodes.html#L70C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 Currently unused; illegal instruction."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 71,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 72,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "POP",
                      "href": "docs/scribble.opcodes.html#L72C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                1                Pops the top of the stack and discards it."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 73,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 74,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "SWAP",
                      "href": "docs/scribble.opcodes.html#L74C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                2        2       Swaps the two elements on top of the stack."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 75,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 76,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "INVOKE",
                      "href": "docs/scribble.opcodes.html#L76C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- U        call  n+1      1       Invokes an internal application function specified by the function"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 77,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 id on top of the stack. The following 'n' operands are passed"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 78,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 (without copy) as arguments, last on top. The opcode's U argument"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 79,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 specifies the number of function arguments passed. The function id"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 80,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 and all arguments are popped before execution returns. The"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 81,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 function's result, or an Error, is pushed as the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 82,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 83,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "EVAL",
                      "href": "docs/scribble.opcodes.html#L83C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- U        call  n+1      1       Evaluates the Scribble Function value on the top of the stack. The"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 84,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 following 'n' operands are passed (without copy) as arguments, last"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 85,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 on top. The opcode's U argument specifies the number of function"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 86,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 arguments to be passed. All arguments must Reference values to the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 87,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 actual argument values. The Function and all argument operands are"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 88,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 popped before execution returns. The function's result, or an"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 89,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 Error, is pushed as the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 90,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 91,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "RET",
                      "href": "docs/scribble.opcodes.html#L91C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 Ends evaluation of the current function, returning the top of the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 92,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 stack as the evaluation result. The stack will be unwound up to,"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 93,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 and including, the caller's arguments. The Function's resultant"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 94,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 value will be on the top of the stack after evaluation. If this is"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 95,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 the initial function in the execution thread, evaluation is"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 96,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 complete."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 97,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 98,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "JUMP",
                      "href": "docs/scribble.opcodes.html#L98C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- S        jump                   Jumps unconditionally to another instruction. The S argument"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 99,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 specifies the number of instructions to jump, relative to the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 100,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 program counter."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 101,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 102,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "JUMPZ",
                      "href": "docs/scribble.opcodes.html#L102C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- S        jump  1                Conditionally jumps to another instruction. The value on top of the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 103,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 stack will be popped. If it equals 0, False, or an Error, the jump"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 104,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 will be performed. The S argument specifies the number of"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 105,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 instructions to jump, relative to the program counter."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 106,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 107,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "EQ",
                      "href": "docs/scribble.opcodes.html#L107C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands, pushing a Boolean indicating if they were equal."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 108,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 109,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "NEQ",
                      "href": "docs/scribble.opcodes.html#L109C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands, pushing a Boolean indicating if they were unequal."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 110,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 111,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "LT",
                      "href": "docs/scribble.opcodes.html#L111C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands, pushing a Boolean indicating if the second was"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 112,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 less than the first."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 113,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 114,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "GT",
                      "href": "docs/scribble.opcodes.html#L114C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands, pushing a Boolean indicating if the second was"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 115,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 greater than the first."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 116,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 117,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "LTE",
                      "href": "docs/scribble.opcodes.html#L117C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands, pushing a Boolean indicating if the second was"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 118,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 less than or equal to the first."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 119,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 120,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "GTE",
                      "href": "docs/scribble.opcodes.html#L120C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands, pushing a Boolean indicating if the second was"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 121,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                 "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--                                 greater than or equal to the first."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 122,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 123,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "BNOT",
                      "href": "docs/scribble.opcodes.html#L123C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 1        1       Pops one operand and performs a Not operation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 124,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 125,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "NEG",
                      "href": "docs/scribble.opcodes.html#L125C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 1        1       Pops one operand and performs a negation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 126,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 127,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "BAND",
                      "href": "docs/scribble.opcodes.html#L127C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and performs an And operation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 128,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 129,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "BOR",
                      "href": "docs/scribble.opcodes.html#L129C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and performs an Or operation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 130,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 131,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "BXOR",
                      "href": "docs/scribble.opcodes.html#L131C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and performs an Xor operation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 132,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 133,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "ADD",
                      "href": "docs/scribble.opcodes.html#L133C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and adds them, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 134,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 135,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "SUB",
                      "href": "docs/scribble.opcodes.html#L135C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and subtracts them, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 136,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 137,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "MUL",
                      "href": "docs/scribble.opcodes.html#L137C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and multiplies them, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 138,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 139,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "DIV",
                      "href": "docs/scribble.opcodes.html#L139C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and divides them, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 140,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 141,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "MODULO",
                      "href": "docs/scribble.opcodes.html#L141C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and performs a modulo operation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 142,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 143,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "POW",
                      "href": "docs/scribble.opcodes.html#L143C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and performs exponentiation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 144,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 145,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "CONCAT",
                      "href": "docs/scribble.opcodes.html#L145C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 2        1       Pops two operands and performs string concatenation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 146,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 147,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "SIGN",
                      "href": "docs/scribble.opcodes.html#L147C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--          arith 1        1       Pops one operand and performs a Sign operation, pushing the result."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 148,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";",
                      "href": "docs/scribble.opcodes.html#L13C10"
                    }
                  ]
                }
              ]
            }
          ],
          "literals": [
            {
              "label": "NOOP",
              "line": 16,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "No operation. Does nothing.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "PUSHC",
              "line": 18,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "U        load           1       Pushes a copy of a constant value from program data. The U argument\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "specifies the address in the program data array."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "PUSHI",
              "line": 21,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "S        load           1       Pushes an integer onto the stack. The S argument specifies the\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "integer directly in the opcode (conserves program data space)."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "PUSHN",
              "line": 24,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "load  2        1       Pushes a reference to a value in a namespace. Two operands are\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "popped: the namespace (string), and the name to read (string)."
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "The reference into the namespace, or an Error, is pushed as the"
                        }
                      ]
                    },
                    {
                      "number": 3,
                      "children": [
                        {
                          "kind": "span",
                          "text": "result."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "PUSHND",
              "line": 29,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "load  2        1       Pushes a value retrieved (by copy) from a namespace. Two operands\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "are popped: the namespace (string), and the name to read (string)."
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "The value read, or an Error, is pushed as the result."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "PUSHNUL",
              "line": 33,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "U        load           n       Pushes 'n' number of Null values. The U argument contains the\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "number of Nulls to push. This serves as a useful optimization when"
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "a series of Null references are pushed as part of an activation"
                        }
                      ]
                    },
                    {
                      "number": 3,
                      "children": [
                        {
                          "kind": "span",
                          "text": "record."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "PUSHS",
              "line": 38,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "S        load           1       Pushes a reference to a value from the stack. The S argument\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "indicates the offset of the slot, relative to the frame pointer."
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "If the stack slot contains a reference, it will be pushed onto the"
                        }
                      ]
                    },
                    {
                      "number": 3,
                      "children": [
                        {
                          "kind": "span",
                          "text": "top of the stack. Otherwise, a reference to the stack slot itself"
                        }
                      ]
                    },
                    {
                      "number": 4,
                      "children": [
                        {
                          "kind": "span",
                          "text": "will be pushed onto the stack. This is used for assigning to local"
                        }
                      ]
                    },
                    {
                      "number": 5,
                      "children": [
                        {
                          "kind": "span",
                          "text": "variables and parameters, which are stored on the stack as values"
                        }
                      ]
                    },
                    {
                      "number": 6,
                      "children": [
                        {
                          "kind": "span",
                          "text": "and/or references."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "PUSHSD",
              "line": 46,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "S        load           1       Pushes a value from the stack. No copy is made. The S argument\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "indicates the offset of the slot, relative to the frame ponter. If"
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "the stack slot contains a reference, it will be dereferenced and"
                        }
                      ]
                    },
                    {
                      "number": 3,
                      "children": [
                        {
                          "kind": "span",
                          "text": "its target value will be pushed. Otherwise, the value in the slot"
                        }
                      ]
                    },
                    {
                      "number": 4,
                      "children": [
                        {
                          "kind": "span",
                          "text": "itself will be pushed onto the stack. This is used to read local"
                        }
                      ]
                    },
                    {
                      "number": 5,
                      "children": [
                        {
                          "kind": "span",
                          "text": "variables and parameters, which are stored on the stack as values"
                        }
                      ]
                    },
                    {
                      "number": 6,
                      "children": [
                        {
                          "kind": "span",
                          "text": "and/or references."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "PUSHT",
              "line": 54,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "load  1        2       Pushes the value on top of the stack back onto the stack without\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "popping it, effectively creating a duplicate. No copy is made."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "STORE",
              "line": 57,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "U        store 2        1       Pops the reference on the top of the stack and replaces its target\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "value with the new top of the stack, directly underneath it. The U"
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "argument specifies the assignment operation, e.g. direct store, add"
                        }
                      ]
                    },
                    {
                      "number": 3,
                      "children": [
                        {
                          "kind": "span",
                          "text": "and store, multiply and store, etc. The computed value that is"
                        }
                      ]
                    },
                    {
                      "number": 4,
                      "children": [
                        {
                          "kind": "span",
                          "text": "stored into the reference will be left on the stack."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "STORENUL",
              "line": 63,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "S        store                  Stores a Null into a Reference value on the stack. The S argument\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "stores the stack offset to write into, relative to the frame"
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "pointer. This is used to clear local variable slots for reuse."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "DEREF",
              "line": 67,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "ref   1        1       Pops the reference on the top of the stack and pushes the value\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "that it references. This is currently unused."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "REF",
              "line": 70,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "Currently unused; illegal instruction.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "POP",
              "line": 72,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "1                Pops the top of the stack and discards it.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "SWAP",
              "line": 74,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "2        2       Swaps the two elements on top of the stack.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "INVOKE",
              "line": 76,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "U        call  n+1      1       Invokes an internal application function specified by the function\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "id on top of the stack. The following 'n' operands are passed"
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "(without copy) as arguments, last on top. The opcode's U argument"
                        }
                      ]
                    },
                    {
                      "number": 3,
                      "children": [
                        {
                          "kind": "span",
                          "text": "specifies the number of function arguments passed. The function id"
                        }
                      ]
                    },
                    {
                      "number": 4,
                      "children": [
                        {
                          "kind": "span",
                          "text": "and all arguments are popped before execution returns. The"
                        }
                      ]
                    },
                    {
                      "number": 5,
                      "children": [
                        {
                          "kind": "span",
                          "text": "function's result, or an Error, is pushed as the result."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "EVAL",
              "line": 83,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "U        call  n+1      1       Evaluates the Scribble Function value on the top of the stack. The\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "following 'n' operands are passed (without copy) as arguments, last"
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "on top. The opcode's U argument specifies the number of function"
                        }
                      ]
                    },
                    {
                      "number": 3,
                      "children": [
                        {
                          "kind": "span",
                          "text": "arguments to be passed. All arguments must Reference values to the"
                        }
                      ]
                    },
                    {
                      "number": 4,
                      "children": [
                        {
                          "kind": "span",
                          "text": "actual argument values. The Function and all argument operands are"
                        }
                      ]
                    },
                    {
                      "number": 5,
                      "children": [
                        {
                          "kind": "span",
                          "text": "popped before execution returns. The function's result, or an"
                        }
                      ]
                    },
                    {
                      "number": 6,
                      "children": [
                        {
                          "kind": "span",
                          "text": "Error, is pushed as the result."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "RET",
              "line": 91,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "Ends evaluation of the current function, returning the top of the\n"
                    },
                    {
                      "kind": "span",
                      "text": "stack as the evaluation result. The stack will be unwound up to,\n"
                    },
                    {
                      "kind": "span",
                      "text": "and including, the caller's arguments. The Function's resultant\n"
                    },
                    {
                      "kind": "span",
                      "text": "value will be on the top of the stack after evaluation. If this is\n"
                    },
                    {
                      "kind": "span",
                      "text": "the initial function in the execution thread, evaluation is\n"
                    },
                    {
                      "kind": "span",
                      "text": "complete.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "JUMP",
              "line": 98,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "S        jump                   Jumps unconditionally to another instruction. The S argument\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "specifies the number of instructions to jump, relative to the"
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "program counter."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "JUMPZ",
              "line": 102,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "S        jump  1                Conditionally jumps to another instruction. The value on top of the\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "stack will be popped. If it equals 0, False, or an Error, the jump"
                        }
                      ]
                    },
                    {
                      "number": 2,
                      "children": [
                        {
                          "kind": "span",
                          "text": "will be performed. The S argument specifies the number of"
                        }
                      ]
                    },
                    {
                      "number": 3,
                      "children": [
                        {
                          "kind": "span",
                          "text": "instructions to jump, relative to the program counter."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "EQ",
              "line": 107,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands, pushing a Boolean indicating if they were equal.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "NEQ",
              "line": 109,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands, pushing a Boolean indicating if they were unequal.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "LT",
              "line": 111,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands, pushing a Boolean indicating if the second was\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "less than the first."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "GT",
              "line": 114,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands, pushing a Boolean indicating if the second was\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "greater than the first."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "LTE",
              "line": 117,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands, pushing a Boolean indicating if the second was\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "less than or equal to the first."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "GTE",
              "line": 120,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands, pushing a Boolean indicating if the second was\n"
                    }
                  ]
                },
                {
                  "kind": "code",
                  "children": [
                    {
                      "number": 1,
                      "children": [
                        {
                          "kind": "span",
                          "text": "greater than or equal to the first."
                        }
                      ]
                    }
                  ]
                }
              ]
            },
            {
              "label": "BNOT",
              "line": 123,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 1        1       Pops one operand and performs a Not operation, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "NEG",
              "line": 125,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 1        1       Pops one operand and performs a negation, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "BAND",
              "line": 127,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and performs an And operation, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "BOR",
              "line": 129,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and performs an Or operation, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "BXOR",
              "line": 131,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and performs an Xor operation, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "ADD",
              "line": 133,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and adds them, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "SUB",
              "line": 135,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and subtracts them, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "MUL",
              "line": 137,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and multiplies them, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "DIV",
              "line": 139,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and divides them, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "MODULO",
              "line": 141,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and performs a modulo operation, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "POW",
              "line": 143,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and performs exponentiation, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "CONCAT",
              "line": 145,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 2        1       Pops two operands and performs string concatenation, pushing the result.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "SIGN",
              "line": 147,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "arith 1        1       Pops one operand and performs a Sign operation, pushing the result.\n"
                    }
                  ]
                }
              ]
            }
          ]
        },
        {
          "label": "Args_Format",
          "line": 151,
          "column": 10,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 151,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "type"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Args_Format",
                      "href": "docs/scribble.opcodes.html#L151C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "is"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Format_S",
                      "href": "docs/scribble.opcodes.html#L151C26"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Format_U",
                      "href": "docs/scribble.opcodes.html#L151C36"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Format_None",
                      "href": "docs/scribble.opcodes.html#L151C46"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";",
                      "href": "docs/scribble.opcodes.html#L151C10"
                    }
                  ]
                }
              ]
            }
          ],
          "literals": [
            {
              "label": "Format_S",
              "line": 151,
              "column": 26,
              "description": [
              ]
            },
            {
              "label": "Format_U",
              "line": 151,
              "column": 36,
              "description": [
              ]
            },
            {
              "label": "Format_None",
              "line": 151,
              "column": 46,
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Opcode",
          "line": 171,
          "column": 13,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 171,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 172,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 173,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- A Scribble Opcode is a 32 bit number comprised of a 6 bit Instruction and"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 174,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- one argument. The type of the argument depends on the Instruction. Opcode"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 175,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- formats are as follows:"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 176,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 177,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- [ inst ] [ unused               ]"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 178,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- [ inst ] [ S argument           ]  S = 26 bit signed integer"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 179,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- [ inst ] [ U argument           ]  U = 26 bit unsigned integer"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 180,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- 0      5 6                     31"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 181,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--         <-- 32 Bits -->"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 182,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "--"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 183,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- The signed S argument is actually stored as an unsigned integer with a"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 184,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- bias of 2**25-1. Thus, 0 is stored as 33,554,431."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 185,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 186,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "subtype"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "is"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Unsigned_32"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            }
          ]
        },
        {
          "label": "Opcode_Array",
          "line": 216,
          "column": 10,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 216,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "type"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode_Array",
                      "href": "docs/scribble.opcodes.html#L216C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "is"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "array"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Integer"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "range"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "<>"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "of"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            }
          ]
        }
      ],
      "label": "Simple types"
    },
    {
      "entities": [
        {
          "label": "A_Opcode_Array",
          "line": 217,
          "column": 10,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 217,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "type"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "A_Opcode_Array",
                      "href": "docs/scribble.opcodes.html#L217C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "is"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "access"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "all"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode_Array",
                      "href": "docs/scribble.opcodes.html#L216C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            }
          ]
        }
      ],
      "label": "Access types"
    },
    {
      "entities": [
        {
          "label": "Instruction_Format",
          "line": 154,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 154,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Instruction_Format",
                      "href": "docs/scribble.opcodes.html#L154C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "inst",
                      "href": "docs/scribble.opcodes.html#L154C34"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Instruction",
                      "href": "docs/scribble.opcodes.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Args_Format",
                      "href": "docs/scribble.opcodes.html#L151C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Returns the arguments format used by Instruction 'inst'.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "inst",
              "line": 154,
              "column": 34,
              "type": {
                "label": "Scribble.Opcodes.Instruction",
                "docHref": "docs/scribble.opcodes.html#L13C10"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "To_Opcode",
          "line": 174,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 174,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "To_Opcode",
                      "href": "docs/scribble.opcodes.html#L174C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "inst",
                      "href": "docs/scribble.opcodes.html#L174C25"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Instruction",
                      "href": "docs/scribble.opcodes.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Creates and returns an Opcode without an argument.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "inst",
              "line": 174,
              "column": 25,
              "type": {
                "label": "Scribble.Opcodes.Instruction",
                "docHref": "docs/scribble.opcodes.html#L13C10"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "To_Opcode_S",
          "line": 178,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 178,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "To_Opcode_S",
                      "href": "docs/scribble.opcodes.html#L178C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "inst",
                      "href": "docs/scribble.opcodes.html#L178C27"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Instruction",
                      "href": "docs/scribble.opcodes.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "s",
                      "href": "docs/scribble.opcodes.html#L178C47"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Integer"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Creates and returns an S-format Opcode. A Constraint_Error will be raised\n"
                },
                {
                  "kind": "span",
                  "text": "if 's' is too large or small to fit.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "inst",
              "line": 178,
              "column": 27,
              "type": {
                "label": "Scribble.Opcodes.Instruction",
                "docHref": "docs/scribble.opcodes.html#L13C10"
              },
              "description": [
              ]
            },
            {
              "label": "s",
              "line": 178,
              "column": 47,
              "type": {
                "label": "Integer"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "To_Opcode_U",
          "line": 182,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 182,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "To_Opcode_U",
                      "href": "docs/scribble.opcodes.html#L182C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "inst",
                      "href": "docs/scribble.opcodes.html#L182C27"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Instruction",
                      "href": "docs/scribble.opcodes.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "u",
                      "href": "docs/scribble.opcodes.html#L182C47"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Natural"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Creates and returns a U-format Opcode. A Constraint_Error will be raised\n"
                },
                {
                  "kind": "span",
                  "text": "if 'u' is too large to fit.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "inst",
              "line": 182,
              "column": 27,
              "type": {
                "label": "Scribble.Opcodes.Instruction",
                "docHref": "docs/scribble.opcodes.html#L13C10"
              },
              "description": [
              ]
            },
            {
              "label": "u",
              "line": 182,
              "column": 47,
              "type": {
                "label": "Natural"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Get_Instruction",
          "line": 185,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 185,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Get_Instruction",
                      "href": "docs/scribble.opcodes.html#L185C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "op",
                      "href": "docs/scribble.opcodes.html#L185C31"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Instruction",
                      "href": "docs/scribble.opcodes.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " Inline"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Returns the opcode's instruction.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "op",
              "line": 185,
              "column": 31,
              "type": {
                "label": "Scribble.Opcodes.Opcode",
                "docHref": "docs/scribble.opcodes.html#L171C13"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Get_S",
          "line": 188,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 188,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Get_S",
                      "href": "docs/scribble.opcodes.html#L188C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "op",
                      "href": "docs/scribble.opcodes.html#L188C21"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Integer"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " Inline"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Returns the opcode's S argument as a signed integer.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "op",
              "line": 188,
              "column": 21,
              "type": {
                "label": "Scribble.Opcodes.Opcode",
                "docHref": "docs/scribble.opcodes.html#L171C13"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Get_U",
          "line": 191,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 191,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Get_U",
                      "href": "docs/scribble.opcodes.html#L191C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "op",
                      "href": "docs/scribble.opcodes.html#L191C21"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Natural"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " Inline"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Returns the opcode's U argument as an unsigned integer.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "op",
              "line": 191,
              "column": 21,
              "type": {
                "label": "Scribble.Opcodes.Opcode",
                "docHref": "docs/scribble.opcodes.html#L171C13"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Image",
          "line": 194,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 194,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Image",
                      "href": "docs/scribble.opcodes.html#L194C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "op",
                      "href": "docs/scribble.opcodes.html#L194C21"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "String"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Returns a string representation of the Opcode for debugging purposes.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "op",
              "line": 194,
              "column": 21,
              "type": {
                "label": "Scribble.Opcodes.Opcode",
                "docHref": "docs/scribble.opcodes.html#L171C13"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Max_S",
          "line": 198,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 198,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Max_S",
                      "href": "docs/scribble.opcodes.html#L198C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Integer"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " Inline"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Returns the maximum absolute value that can fit in the S argument of an\n"
                },
                {
                  "kind": "span",
                  "text": "Opcode.\n"
                }
              ]
            }
          ]
        },
        {
          "label": "Max_U",
          "line": 201,
          "column": 14,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 201,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Max_U",
                      "href": "docs/scribble.opcodes.html#L201C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Integer"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " Inline"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Returns the maximum value that can fit in the U argument of an Opcode.\n"
                }
              ]
            }
          ]
        },
        {
          "label": "Set_Instruction",
          "line": 204,
          "column": 15,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 204,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Set_Instruction",
                      "href": "docs/scribble.opcodes.html#L204C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "op",
                      "href": "docs/scribble.opcodes.html#L204C32"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "in"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "out"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "inst",
                      "href": "docs/scribble.opcodes.html#L204C52"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Instruction",
                      "href": "docs/scribble.opcodes.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " Inline"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Sets an opcode's instruction.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "op",
              "line": 204,
              "column": 32,
              "type": {
                "label": "Scribble.Opcodes.Opcode",
                "docHref": "docs/scribble.opcodes.html#L171C13"
              },
              "description": [
              ]
            },
            {
              "label": "inst",
              "line": 204,
              "column": 52,
              "type": {
                "label": "Scribble.Opcodes.Instruction",
                "docHref": "docs/scribble.opcodes.html#L13C10"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Set_S",
          "line": 208,
          "column": 15,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 208,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Set_S",
                      "href": "docs/scribble.opcodes.html#L208C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "op",
                      "href": "docs/scribble.opcodes.html#L208C22"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "in"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "out"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "s",
                      "href": "docs/scribble.opcodes.html#L208C42"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Integer"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " Inline"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Sets an opcode's 'S' argument, a 26 bit signed integer. A\n"
                },
                {
                  "kind": "span",
                  "text": "Constraint_Error will be raised if 's' is too large or small to fit.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "op",
              "line": 208,
              "column": 22,
              "type": {
                "label": "Scribble.Opcodes.Opcode",
                "docHref": "docs/scribble.opcodes.html#L171C13"
              },
              "description": [
              ]
            },
            {
              "label": "s",
              "line": 208,
              "column": 42,
              "type": {
                "label": "Integer"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Set_U",
          "line": 212,
          "column": 15,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 212,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Set_U",
                      "href": "docs/scribble.opcodes.html#L212C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "op",
                      "href": "docs/scribble.opcodes.html#L212C22"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "in"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "out"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Opcode",
                      "href": "docs/scribble.opcodes.html#L171C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "u",
                      "href": "docs/scribble.opcodes.html#L212C42"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Natural"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " Inline"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Sets an opcode's 'U' argument, a 26 bit unsigned integer. A\n"
                },
                {
                  "kind": "span",
                  "text": "Constraint_Error will be raised if 'u' is too large to fit.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "op",
              "line": 212,
              "column": 22,
              "type": {
                "label": "Scribble.Opcodes.Opcode",
                "docHref": "docs/scribble.opcodes.html#L171C13"
              },
              "description": [
              ]
            },
            {
              "label": "u",
              "line": 212,
              "column": 42,
              "type": {
                "label": "Natural"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Delete",
          "line": 219,
          "column": 15,
          "src": "srcs/scribble-opcodes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 219,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Delete",
                      "href": "docs/scribble.opcodes.html#L219C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "oa",
                      "href": "docs/scribble.opcodes.html#L219C23"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "in"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "out"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "A_Opcode_Array",
                      "href": "docs/scribble.opcodes.html#L217C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "oa",
              "line": 219,
              "column": 23,
              "type": {
                "label": "Scribble.Opcodes.A_Opcode_Array",
                "docHref": "docs/scribble.opcodes.html#L217C10"
              },
              "description": [
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};